<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'duane_status.php');
/**
 * duane_statuses class 
 *
 */
class duane_statuses extends databasetable
{
	/**
	 * initiates the duane_statuses class
	 *
	 */
	function duane_statuses(){
		$this->set_tablename(TABLE_DUANE_STATUSES);
		$this->set_index('duane_status_id');
	}
	
	/**
	 * return a duane_status object
	 *
	 * @param integer $id
	 * @return object
	 */
	function get_duane_status($id){
		$values = $this->get_row_by_index($id);
		$duane_status_instance = new duane_status( (object) current($values) );
		return $duane_status_instance;
	}
}
